XMonad.Util.Stack

# Usage

type Zipper a

emptyZ

singletonZ

# Conversions

fromIndex

toIndex

fromTags

toTags

# `Zipper` manipulation functions

## Insertion, movement

insertUpZ

insertDownZ

swapUpZ

swapDownZ

swapMasterZ

## Focus movement

focusUpZ

focusDownZ

focusMasterZ

## Extraction

getFocusZ

getIZ

## Sorting

sortZ

sortByZ

## Maps

mapZ

mapZ_

mapZM

mapZM_

onFocusedZ

onFocusedZM

onIndexZ

onIndexZM

## Filters

filterZ

filterZ_

deleteFocusedZ

deleteIndexZ

## Folds

foldrZ

foldlZ

foldrZ_

foldlZ_

elemZ

# Other utility functions

getI

tagBy

fromE

mapE

mapE_

mapEM

mapEM_